package proposal.org.apache.poi.ss.util;

import java.io.File;
import java.io.FileOutputStream;

import org.apache.poi.openxml4j.opc.OPCPackage;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;



public class TestCloneSheet {

	public TestCloneSheet() throws Exception {
		System.out.println("Open existing template");
		// open existing template
		File file = new File("test-data/cloneSheet/template.xlsx");
		OPCPackage opcPackage = OPCPackage.open(file.getAbsolutePath());
		XSSFWorkbook wb = new XSSFWorkbook(opcPackage);
		
		System.out.println("Duplicate sheet Sheet1 --> Sheet1 (2)");
		// duplicate sheet Sheet1 --> Sheet4
		int indexSource = wb.getSheetIndex("Sheet1");
		Sheet sheet = wb.cloneSheet(indexSource);
		int newSheetIndex = wb.getSheetIndex(sheet);

		//System.out.println("Rename new sheet Sheet1 (2) --> Sheet4");
		//wb.setSheetName(newSheetIndex, "Sheet4");
		
		wb.setSheetName(indexSource, "Sheet1Test");

		System.out.println("Create new output file");
		// create new output file
		FileOutputStream fileOut = new FileOutputStream("test-data/cloneSheet/result.xlsx"); 
		wb.write(fileOut);
		fileOut.close();

		System.out.println("Close template without saving changes");
		// close template without saving changes
		opcPackage.revert();

		opcPackage = null;
		wb = null;
		System.out.println("Terminated");
	}

	/**
	 * @param args
	 * @throws Exception 
	 */
	public static void main(String[] args) throws Exception {
		// TODO Auto-generated method stub
		TestCloneSheet test = new TestCloneSheet();
	}

}
